Get Number Ranges
curl --request GET \
--url https://api.jtl-cloud.com/erp/configuration/numberRanges \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/configuration/numberRanges"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/configuration/numberRanges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"Name": "Rechnung",
"Description": "Hierbei handelt es sich um den Nummernkreis für Rechnungen",
"Prefix": "",
"CurrentNumber": 70,
"Suffix": "-1",
"MaxLength": 100,
"ExampleNumber": "RE2025470-1",
"IsDeletable": false,
"CompanyId": 123
}
]Configuration
Get Number Ranges
Returns all available Number Ranges
GET
/
configuration
/
numberRanges
Get Number Ranges
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Response
The available Number Ranges
The Name of the Number Range
Example:
"Rechnung"
The Name of the Number Range
Example:
"Hierbei handelt es sich um den Nummernkreis für Rechnungen"
The Number Prefix for the NumberRange
Example:
""
The Current Number of the NumberRange
Example:
70
The Number Suffix for the NumberRange
Example:
"-1"
The Max Length of an Number Range
Example:
100
The Example of a Number
Example:
"RE2025470-1"
Can the Number Range be deleted
Example:
false
Was this page helpful?